İçeriğe geç
API Referansı
API Referansı

DeepSeek Search

RunAPI’nin DeepSeek uyumlu Search işlemi üzerinden istek gönderin.

01

Genel Bakış

Bu yol tarafından seçilen eşzamanlı arama. Model gerekmez ve akış desteklenmez. Bilinmeyen alanlar kabul edilir ancak yok sayılır.

Hızlı başlangıç

  1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
  2. Belgelenen JSON gövdesini gönderin; model gerekmez.
  3. JSON yanıtını okuyun ve belgelenen protokol hatalarını işleyin.

Uç Nokta

POST /v1/tools/search
Temel URL
https://runapi.ai
Sözleşme sürümü
v1
Tercih edilen kimlik doğrulama
Authorization: Bearer YOUR_API_TOKEN
02

Kimlik doğrulama taşıyıcıları

RunAPI aşağıda listelenen her taşıyıcıyı kabul eder. Oluşturulan örnekler, protokolün tercih ettiği başlığı kullanır.

header - Tercih edilen
Authorization: Bearer YOUR_API_TOKEN
header
x-api-key: YOUR_API_TOKEN
header
x-goog-api-key: YOUR_API_TOKEN
query
?key=YOUR_API_TOKEN
03

Uyumlu modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

1 uyumlu modeli göster
04

İstek sözleşmesi

JSON gövdesi

Bu yol tarafından seçilen eşzamanlı arama. Model gerekmez ve akış desteklenmez. Bilinmeyen alanlar kabul edilir ancak yok sayılır.

JSON gövdesi5 alan
countinteger
İsteğe bağlı

İstenen sonuç sayısı, 1 ile 50 arasında.

localizationstring
İsteğe bağlı

Son kullanıcının IP adresi gibi yerelleştirme ipucu.

need_contentboolean
İsteğe bağlı

Arama sonuçlarında sayfa içeriğini isteyin.

ori_question["string", "null"]
İsteğe bağlı

1–128 Unicode karakterden oluşan özgün soru. Null, belirtilmemiş olarak değerlendirilir.

querystring
Zorunlu

1–128 Unicode karakterden oluşan arama sorgusu; yalnızca boşluk karakterlerinden oluşamaz.

İstek örneği

JSON
{
  "count": 5,
  "localization": "203.0.113.7",
  "need_content": true,
  "ori_question": null,
  "query": "DeepSeek V4 release"
}
05

Eş zamanlı yanıt

HTTP 200

Şema

JSON
{
  "additionalProperties": true,
  "properties": {
    "results": {
      "description": "Arama sonuçları. Boş bir dizi başarılı bir yanıttır ve ücretlendirilmez.",
      "items": {
        "additionalProperties": true,
        "type": "object"
      },
      "type": "array"
    }
  },
  "required": [
    "results"
  ],
  "type": "object"
}

Örnek

JSON
{
  "results": [
    {
      "snippet": "Browse DeepSeek models and API documentation.",
      "title": "DeepSeek models on RunAPI",
      "url": "https://runapi.ai/models/deepseek"
    }
  ]
}
06

Protokol hatası: invalid_request

HTTP 400

Şema

JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

Örnek

JSON
{
  "error": {
    "message": "'query' is required",
    "type": "invalid_request_error"
  }
}
07

Protokol hatası: rate_limited

HTTP 429

Şema

JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

Örnek

JSON
{
  "error": {
    "message": "Too many requests, please retry later",
    "type": "rate_limit_error"
  }
}
08

Protokol hatası: unavailable

HTTP 503

Şema

JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

Örnek

JSON
{
  "error": {
    "message": "Service temporarily unavailable",
    "type": "service_unavailable"
  }
}
09

Oluşturulan Kod Örnekleri

Her cURL, JavaScript ve Python örneği, protokole özgü bir SDK gerektirmeden bu sözleşmedeki doğrulanmış isteği gönderir.

Yükle

Shell
pip install requests
PYTHON
import requests

response = requests.post(
    "https://runapi.ai/v1/tools/search",
    headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
    json={"query": "DeepSeek V4 release", "count": 5, "ori_question": None, "localization": "203.0.113.7", "need_content": True}
)
response.raise_for_status()
print(response.json())